List Opt-ins
Returns a paginated list of opt-ins.
Authorization
bearerAuth In: header
Query Parameters
Unique identifier for the resource.
uuidFilters by any of the supplied id values.
items <= 10Filters resources by opt in group.
uuidFilters by any of the supplied opt in group values.
items <= 10Filters resources by contact.
uuidFilters by any of the supplied contact values.
items <= 10Unique identifier of the related contact external.
Filters resources by channel type.
Filters by any of the supplied channel type values.
Current status of the resource.
Filters out resources with this status.
Filters by any of the supplied status values.
Timestamp when the resource was last updated.
date-timeOnly returns resources whose updated at is at or after this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose updated at is at or before this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose updated at is after this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose updated at is before this timestamp (exclusive). See Filtering for timestamp precision.
date-timeMaximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthAdditional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/opt-ins"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "opt_in_group_id": "4b357ede-6cef-46e7-8acc-09c4cf4c759a", "channel_type": "email", "status": "requested", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "contact": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "opt_in_group": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "name": "string", "status": "draft", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } } ], "next_page_url": "string", "previous_page_url": "string"}